umbrello: WorkToolBar Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Types | Public Slots | Signals | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
WorkToolBar Class Reference

The toolbar that is different for each type of diagram. More...

`#include <worktoolbar.h>`

Inheritance diagram for WorkToolBar:

## Public Types
enum | ToolBar_Buttons { tbb_Undefined = -1 , tbb_Arrow , tbb_Generalization , tbb_Aggregation , tbb_Dependency , tbb_Association , tbb_Containment , tbb_Coll_Mesg_Sync , tbb_Coll_Mesg_Async , tbb_Seq_Message_Creation , tbb_Seq_Message_Destroy , tbb_Seq_Message_Synchronous , tbb_Seq_Message_Asynchronous , tbb_Seq_Message_Found , tbb_Seq_Message_Lost , tbb_Seq_Combined_Fragment , tbb_Seq_Precondition , tbb_Composition , tbb_Relationship , tbb_UniAssociation , tbb_State_Transition , tbb_Activity_Transition , tbb_Send_Signal , tbb_Accept_Signal , tbb_Accept_Time_Event , tbb_Anchor , tbb_Note , tbb_Box , tbb_Text , tbb_Actor , tbb_UseCase , tbb_Class , tbb_Interface , tbb_Interface_Provider , tbb_Interface_Requirement , tbb_Datatype , tbb_Enum , tbb_Entity , tbb_Package , tbb_Component , tbb_Node , tbb_Artifact , tbb_Object , tbb_Initial_State , tbb_State , tbb_Region , tbb_End_State , tbb_Initial_Activity , tbb_Activity , tbb_End_Activity , tbb_Final_Activity , tbb_Pin , tbb_Port , tbb_Branch , tbb_Fork , tbb_DeepHistory , tbb_ShallowHistory , tbb_StateFork , tbb_StateJoin , tbb_Junction , tbb_Choice , tbb_Andline , tbb_Exception , tbb_Object_Node , tbb_PrePostCondition , tbb_Category , tbb_Category2Parent , tbb_Child2Category , tbb_Instance , tbb_SubSystem }

## Public Slots
void | slotCheckToolBar (Uml::DiagramType::Enum dt)
void | buttonChanged (int b)
void | slotResetToolBar ()
void | slotArrow ()
void | slotGeneralization ()
void | slotAggregation ()
void | slotDependency ()
void | slotAssociation ()
void | slotContainment ()
void | slotColl_Mesg_Sync ()
void | slotColl_Mesg_Async ()
void | slotSeq_Message_Creation ()
void | slotSeq_Message_Destroy ()
void | slotSeq_Message_Synchronous ()
void | slotSeq_Message_Asynchronous ()
void | slotSeq_Message_Found ()
void | slotSeq_Message_Lost ()
void | slotSeq_Combined_Fragment ()
void | slotSeq_Precondition ()
void | slotComposition ()
void | slotRelationship ()
void | slotUniAssociation ()
void | slotState_Transition ()
void | slotActivity_Transition ()
void | slotAnchor ()
void | slotNote ()
void | slotBox ()
void | slotText ()
void | slotActor ()
void | slotUseCase ()
void | slotClass ()
void | slotInterface ()
void | slotInterfaceProvider ()
void | slotInterfaceRequired ()
void | slotDatatype ()
void | slotEnum ()
void | slotEntity ()
void | slotPackage ()
void | slotComponent ()
void | slotNode ()
void | slotArtifact ()
void | slotObject ()
void | slotRegion ()
void | slotInitial_State ()
void | slotState ()
void | slotEnd_State ()
void | slotInitial_Activity ()
void | slotActivity ()
void | slotEnd_Activity ()
void | slotFinal_Activity ()
void | slotBranch ()
void | slotSend_Signal ()
void | slotAccept_Signal ()
void | slotAccept_Time_Event ()
void | slotFork ()
void | slotDeepHistory ()
void | slotShallowHistory ()
void | slotStateJoin ()
void | slotStateFork ()
void | slotJunction ()
void | slotChoice ()
void | slotAndline ()
void | slotException ()
void | slotPrePostCondition ()
void | slotPin ()
void | slotPort ()
void | slotObject_Node ()
void | slotCategory ()
void | slotCategory2Parent ()
void | slotChild2Category ()
void | slotInstance ()
void | slotSubsystem ()

## Signals
void | sigButtonChanged (int)

## Public Member Functions
| WorkToolBar (QMainWindow *parentWindow)
| ~WorkToolBar ()
void | setOldTool ()
void | setDefaultTool ()
void | setupActions ()

## Private Types
typedef QMap< Uml::DiagramType::Enum, ToolBar_Buttons > | OldToolMap
typedef QMap< ToolBar_Buttons, QCursor > | CursorMap
typedef QMap< ToolBar_Buttons, QAction * > | ActionsMap

## Private Member Functions
void | loadPixmaps ()
QCursor | currentCursor ()
QCursor | defaultCursor ()
QAction * | insertHotBtn (ToolBar_Buttons tbb)
void | insertBasicAssociations ()

## Private Attributes
ToolBar_Buttons | m_CurrentButtonID
OldToolMap | m_map
Uml::DiagramType::Enum | m_Type
CursorMap | m_cursors
ActionsMap | m_actions

## Detailed Description

The toolbar that is different for each type of diagram.

This is the toolbar that is displayed on the right-hand side of the program window. For each type of diagram it will change to suit that document.

To add a new tool button do the following:

- create a button pixmap (symbol)
- create a cursor pixmap
- add an element to the ToolBar_Buttons enum
- adjust function loadPixmaps
- adjust function slotCheckToolBar

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Typedef Documentation

## ◆ ActionsMap

typedef QMap<ToolBar_Buttons, QAction*> WorkToolBar::ActionsMap
| private

## ◆ CursorMap

typedef QMap<ToolBar_Buttons, QCursor> WorkToolBar::CursorMap
| private

## ◆ OldToolMap

typedef QMap<Uml::DiagramType::Enum, ToolBar_Buttons> WorkToolBar::OldToolMap
| private

## Member Enumeration Documentation

## ◆ ToolBar_Buttons

enum WorkToolBar::ToolBar_Buttons

Enumeration of all available toolbar buttons.

Enumerator
tbb_Undefined |
tbb_Arrow |
tbb_Generalization |
tbb_Aggregation |
tbb_Dependency |
tbb_Association |
tbb_Containment |
tbb_Coll_Mesg_Sync |
tbb_Coll_Mesg_Async |
tbb_Seq_Message_Creation |
tbb_Seq_Message_Destroy |
tbb_Seq_Message_Synchronous |
tbb_Seq_Message_Asynchronous |
tbb_Seq_Message_Found |
tbb_Seq_Message_Lost |
tbb_Seq_Combined_Fragment |
tbb_Seq_Precondition |
tbb_Composition |
tbb_Relationship |
tbb_UniAssociation |
tbb_State_Transition |
tbb_Activity_Transition |
tbb_Send_Signal |
tbb_Accept_Signal |
tbb_Accept_Time_Event |
tbb_Anchor |
tbb_Note |
tbb_Box |
tbb_Text |
tbb_Actor |
tbb_UseCase |
tbb_Class |
tbb_Interface |
tbb_Interface_Provider |
tbb_Interface_Requirement |
tbb_Datatype |
tbb_Enum |
tbb_Entity |
tbb_Package |
tbb_Component |
tbb_Node |
tbb_Artifact |
tbb_Object |
tbb_Initial_State |
tbb_State |
tbb_Region |
tbb_End_State |
tbb_Initial_Activity |
tbb_Activity |
tbb_End_Activity |
tbb_Final_Activity |
tbb_Pin |
tbb_Port |
tbb_Branch |
tbb_Fork |
tbb_DeepHistory |
tbb_ShallowHistory |
tbb_StateFork |
tbb_StateJoin |
tbb_Junction |
tbb_Choice |
tbb_Andline |
tbb_Exception |
tbb_Object_Node |
tbb_PrePostCondition |
tbb_Category |
tbb_Category2Parent |
tbb_Child2Category |
tbb_Instance |
tbb_SubSystem |

## Constructor & Destructor Documentation

## ◆ WorkToolBar()

WorkToolBar::WorkToolBar | ( | QMainWindow * | parentWindow | ) |
| explicit

Creates a work tool bar.

Parameters

  parentWindow | The parent of the toolbar.

## ◆ ~WorkToolBar()

WorkToolBar::~WorkToolBar | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ buttonChanged

void WorkToolBar::buttonChanged | ( | int | b | ) |
| slot

## ◆ currentCursor()

QCursor WorkToolBar::currentCursor | ( |  | ) |
| private

Returns the current cursor depending on m_CurrentButtonID

## ◆ defaultCursor()

QCursor WorkToolBar::defaultCursor | ( |  | ) |
| private

Returns the default cursor

## ◆ insertBasicAssociations()

void WorkToolBar::insertBasicAssociations | ( |  | ) |
| private

Inserts most associations, just reduces some string duplication (nice to translators)

## ◆ insertHotBtn()

QAction * WorkToolBar::insertHotBtn | ( | ToolBar_Buttons | tbb | ) |
| private

Inserts the button corresponding to the tbb value given and activates the toggle.

## ◆ loadPixmaps()

void WorkToolBar::loadPixmaps | ( |  | ) |
| private

Loads toolbar icon and mouse cursor images from disk

## ◆ setDefaultTool()

void WorkToolBar::setDefaultTool | ( |  | ) |

Sets the current tool to the default tool. (select tool) Calling this function is as if the user had pressed the "arrow" button on the toolbar.

## ◆ setOldTool()

void WorkToolBar::setOldTool | ( |  | ) |

Sets the current tool to the previously used Tool. This is just as if the user had pressed the button for the other tool.

## ◆ setupActions()

void WorkToolBar::setupActions | ( |  | ) |

Setup actions after reading shortcuts from settings

## ◆ sigButtonChanged

void WorkToolBar::sigButtonChanged | ( | int |  | ) |
| signal

## ◆ slotAccept_Signal

void WorkToolBar::slotAccept_Signal | ( |  | ) |
| slot

## ◆ slotAccept_Time_Event

void WorkToolBar::slotAccept_Time_Event | ( |  | ) |
| slot

## ◆ slotActivity

void WorkToolBar::slotActivity | ( |  | ) |
| slot

## ◆ slotActivity_Transition

void WorkToolBar::slotActivity_Transition | ( |  | ) |
| slot

## ◆ slotActor

void WorkToolBar::slotActor | ( |  | ) |
| slot

## ◆ slotAggregation

void WorkToolBar::slotAggregation | ( |  | ) |
| slot

## ◆ slotAnchor

void WorkToolBar::slotAnchor | ( |  | ) |
| slot

## ◆ slotAndline

void WorkToolBar::slotAndline | ( |  | ) |
| slot

## ◆ slotArrow

void WorkToolBar::slotArrow | ( |  | ) |
| slot

These slots are triggered by the buttons. They call buttonChanged with the button id

## ◆ slotArtifact

void WorkToolBar::slotArtifact | ( |  | ) |
| slot

## ◆ slotAssociation

void WorkToolBar::slotAssociation | ( |  | ) |
| slot

## ◆ slotBox

void WorkToolBar::slotBox | ( |  | ) |
| slot

## ◆ slotBranch

void WorkToolBar::slotBranch | ( |  | ) |
| slot

## ◆ slotCategory

void WorkToolBar::slotCategory | ( |  | ) |
| slot

## ◆ slotCategory2Parent

void WorkToolBar::slotCategory2Parent | ( |  | ) |
| slot

## ◆ slotCheckToolBar

void WorkToolBar::slotCheckToolBar | ( | Uml::DiagramType::Enum | dt | ) |
| slot

## ◆ slotChild2Category

void WorkToolBar::slotChild2Category | ( |  | ) |
| slot

## ◆ slotChoice

void WorkToolBar::slotChoice | ( |  | ) |
| slot

## ◆ slotClass

void WorkToolBar::slotClass | ( |  | ) |
| slot

## ◆ slotColl_Mesg_Async

void WorkToolBar::slotColl_Mesg_Async | ( |  | ) |
| slot

## ◆ slotColl_Mesg_Sync

void WorkToolBar::slotColl_Mesg_Sync | ( |  | ) |
| slot

## ◆ slotComponent

void WorkToolBar::slotComponent | ( |  | ) |
| slot

## ◆ slotComposition

void WorkToolBar::slotComposition | ( |  | ) |
| slot

## ◆ slotContainment

void WorkToolBar::slotContainment | ( |  | ) |
| slot

## ◆ slotDatatype

void WorkToolBar::slotDatatype | ( |  | ) |
| slot

## ◆ slotDeepHistory

void WorkToolBar::slotDeepHistory | ( |  | ) |
| slot

## ◆ slotDependency

void WorkToolBar::slotDependency | ( |  | ) |
| slot

## ◆ slotEnd_Activity

void WorkToolBar::slotEnd_Activity | ( |  | ) |
| slot

## ◆ slotEnd_State

void WorkToolBar::slotEnd_State | ( |  | ) |
| slot

## ◆ slotEntity

void WorkToolBar::slotEntity | ( |  | ) |
| slot

## ◆ slotEnum

void WorkToolBar::slotEnum | ( |  | ) |
| slot

## ◆ slotException

void WorkToolBar::slotException | ( |  | ) |
| slot

## ◆ slotFinal_Activity

void WorkToolBar::slotFinal_Activity | ( |  | ) |
| slot

## ◆ slotFork

void WorkToolBar::slotFork | ( |  | ) |
| slot

## ◆ slotGeneralization

void WorkToolBar::slotGeneralization | ( |  | ) |
| slot

## ◆ slotInitial_Activity

void WorkToolBar::slotInitial_Activity | ( |  | ) |
| slot

## ◆ slotInitial_State

void WorkToolBar::slotInitial_State | ( |  | ) |
| slot

## ◆ slotInstance

void WorkToolBar::slotInstance | ( |  | ) |
| slot

## ◆ slotInterface

void WorkToolBar::slotInterface | ( |  | ) |
| slot

## ◆ slotInterfaceProvider

void WorkToolBar::slotInterfaceProvider | ( |  | ) |
| slot

## ◆ slotInterfaceRequired

void WorkToolBar::slotInterfaceRequired | ( |  | ) |
| slot

## ◆ slotJunction

void WorkToolBar::slotJunction | ( |  | ) |
| slot

## ◆ slotNode

void WorkToolBar::slotNode | ( |  | ) |
| slot

## ◆ slotNote

void WorkToolBar::slotNote | ( |  | ) |
| slot

## ◆ slotObject

void WorkToolBar::slotObject | ( |  | ) |
| slot

## ◆ slotObject_Node

void WorkToolBar::slotObject_Node | ( |  | ) |
| slot

## ◆ slotPackage

void WorkToolBar::slotPackage | ( |  | ) |
| slot

## ◆ slotPin

void WorkToolBar::slotPin | ( |  | ) |
| slot

## ◆ slotPort

void WorkToolBar::slotPort | ( |  | ) |
| slot

## ◆ slotPrePostCondition

void WorkToolBar::slotPrePostCondition | ( |  | ) |
| slot

## ◆ slotRegion

void WorkToolBar::slotRegion | ( |  | ) |
| slot

## ◆ slotRelationship

void WorkToolBar::slotRelationship | ( |  | ) |
| slot

## ◆ slotResetToolBar

void WorkToolBar::slotResetToolBar | ( |  | ) |
| slot

## ◆ slotSend_Signal

void WorkToolBar::slotSend_Signal | ( |  | ) |
| slot

## ◆ slotSeq_Combined_Fragment

void WorkToolBar::slotSeq_Combined_Fragment | ( |  | ) |
| slot

## ◆ slotSeq_Message_Asynchronous

void WorkToolBar::slotSeq_Message_Asynchronous | ( |  | ) |
| slot

## ◆ slotSeq_Message_Creation

void WorkToolBar::slotSeq_Message_Creation | ( |  | ) |
| slot

## ◆ slotSeq_Message_Destroy

void WorkToolBar::slotSeq_Message_Destroy | ( |  | ) |
| slot

## ◆ slotSeq_Message_Found

void WorkToolBar::slotSeq_Message_Found | ( |  | ) |
| slot

## ◆ slotSeq_Message_Lost

void WorkToolBar::slotSeq_Message_Lost | ( |  | ) |
| slot

## ◆ slotSeq_Message_Synchronous

void WorkToolBar::slotSeq_Message_Synchronous | ( |  | ) |
| slot

## ◆ slotSeq_Precondition

void WorkToolBar::slotSeq_Precondition | ( |  | ) |
| slot

## ◆ slotShallowHistory

void WorkToolBar::slotShallowHistory | ( |  | ) |
| slot

## ◆ slotState

void WorkToolBar::slotState | ( |  | ) |
| slot

## ◆ slotState_Transition

void WorkToolBar::slotState_Transition | ( |  | ) |
| slot

## ◆ slotStateFork

void WorkToolBar::slotStateFork | ( |  | ) |
| slot

## ◆ slotStateJoin

void WorkToolBar::slotStateJoin | ( |  | ) |
| slot

## ◆ slotSubsystem

void WorkToolBar::slotSubsystem | ( |  | ) |
| slot

## ◆ slotText

void WorkToolBar::slotText | ( |  | ) |
| slot

## ◆ slotUniAssociation

void WorkToolBar::slotUniAssociation | ( |  | ) |
| slot

## ◆ slotUseCase

void WorkToolBar::slotUseCase | ( |  | ) |
| slot

## Member Data Documentation

## ◆ m_actions

ActionsMap WorkToolBar::m_actions
| private

## ◆ m_CurrentButtonID

ToolBar_Buttons WorkToolBar::m_CurrentButtonID
| private

## ◆ m_cursors

CursorMap WorkToolBar::m_cursors
| private

## ◆ m_map

OldToolMap WorkToolBar::m_map
| private

## ◆ m_Type

Uml::DiagramType::Enum WorkToolBar::m_Type
| private

The documentation for this class was generated from the following files:

- umbrello/worktoolbar.h
- umbrello/worktoolbar.cpp